POST /v1/reseller_stores

Create a reseller store

Creates a new reseller store.

Creates a new reseller store connected to a Shopify storefront. The accessToken is encrypted at rest using AES-256-GCM. The shopDomain must be a valid *.myshopify.com domain.

Body parameters

name string REQUIRED
platform string REQUIRED

Possible enum values:

  • shopify
  • woocommerce
  • custom
shopDomain string REQUIRED
accessToken string REQUIRED

Shopify access token for this store

format: password
webhookSecret string REQUIRED

Webhook secret for verifying Shopify HMAC signatures

format: password

Responses

201

400

Validation failed

Request

curl -X POST https://api.example.com/v1/reseller_stores \
  -H "Authorization: Bearer sk_test_..." \
  -H "Content-Type: application/json" \
  -d '{
  "name": "example_name",
  "platform": "shopify",
  "shopDomain": "example_shopDomain",
  "accessToken": "example_accessToken",
  "webhookSecret": "example_webhookSecret"
}'

Response

201 201 Created
{
  "id": "example_id",
  "ownerId": "example_ownerId",
  "name": "example_name",
  "platform": "shopify",
  "shopDomain": "example_shopDomain",
  "createdAt": "example_createdAt",
  "deletedAt": "example_deletedAt",
  "request_id": "example_request_id"
}